var Paatos = function(){
	PartBase.call(this);


	this.setEdgeDetection();
	this.setBloom(0.9);
	

	this.texture = TDEMO.TEXTURES.getTextures().paatos;

	var material = new THREE.MeshBasicMaterial({
		map: this.texture
	});
	


	var geometry = new THREE.PlaneBufferGeometry(2535, 1436);
	this.plane = new THREE.Mesh(geometry, material);
	this.plane.position.z = -100;
	this.scene.add(this.plane);
}

Paatos.prototype = PartBase.prototype.inheritance();

Paatos.prototype.animate = function(elapsedTime, delta){
	PartBase.prototype.animate.call(this, elapsedTime, delta, true);

	var offset = TDEMO.SYNC.getObjPosition();
    this.texture.offset.x = offset.x;
    this.texture.offset.y = offset.y;
    this.texture.needsUpdate = true;
}